// resource script babygrid_fb.rc
//

#include "resource.bi" // needed

/////////////////////////////////////////////////////////////////////////////
//
// Icon
//

// Icon with lowest ID value placed first to ensure application icon
// remains consistent on all systems.
IDI_BABYGRID_FB       ICON    DISCARDABLE     "BABYGRID_FB.ICO"
IDI_SMALL_FB          ICON    DISCARDABLE     "SMALL_FB.ICO"

/////////////////////////////////////////////////////////////////////////////
//
// Menu
//

IDC_BABYGRID_DEMO MENU DISCARDABLE 
BEGIN
    POPUP "&File"
    BEGIN
        MENUITEM "E&xit",                       IDM_EXIT
    END
    POPUP "&Help"
    BEGIN
        MENUITEM "&About ...",                  IDM_ABOUT
    END
END


/////////////////////////////////////////////////////////////////////////////
//
// Dialog
//

IDD_ABOUTBOX DIALOG DISCARDABLE  22, 17, 235, 71
STYLE DS_MODALFRAME | WS_CAPTION | WS_SYSMENU
CAPTION "About"
FONT 8, "System"
BEGIN
    ICON            IDI_BABYGRID_FB,IDC_MYICON,14,9,20,20
    LTEXT           "FreeBasic Demo ",IDC_STATIC,49,10,120,8,
                    SS_NOPREFIX
    LTEXT           "for BABYGRID  Version 1.0",IDC_STATIC,49,20,120,8
    DEFPUSHBUTTON   "OK",IDOK,195,6,30,11,WS_GROUP
    LTEXT           "Compiled with : FreeBasic v 0.24",IDC_STATIC,49,30,120,8
    LTEXT           "By PFR _ 24/03/2013",IDC_STATIC,49,40,120,8
END


/////////////////////////////////////////////////////////////////////////////
//
// String Table
//

STRINGTABLE DISCARDABLE 
BEGIN
    IDS_APP_TITLE           "BabyGrid_Demo     FreeBasic"
    IDS_HELLO               "Hello World!"
    IDC_BABYGRID_DEMO       "BabyGrid_Demo"
END
